﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Diagram;

namespace DisconnectConnector
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            diagram1.Controller.RegisterTool(new MyLineConnectorTool(diagram1.Controller));
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Syncfusion.Windows.Forms.Diagram.Rectangle rect = new Syncfusion.Windows.Forms.Diagram.Rectangle(100, 100, 100, 100);
            rect.CentralPort.ConnectionPointType = ConnectionPointType.Outgoing;

            Syncfusion.Windows.Forms.Diagram.Rectangle rec1 = new Syncfusion.Windows.Forms.Diagram.Rectangle(400, 200, 100, 100);
            rec1.CentralPort.ConnectionPointType = ConnectionPointType.Incoming;

            diagram1.Model.AppendChild(rect);
            diagram1.Model.AppendChild(rec1);
            diagram1.View.SelectionList.Clear();
        }



        private void button1_Click(object sender, EventArgs e)
        {
            SetActiveTool("LineConnectorTool");
        }

        private void SetActiveTool(string toolName)
        {
            this.diagram1.Controller.ActivateTool(toolName);
        }
    }
}
